program dispersion

  use dispersion_mod
  use sep

  implicit none

  integer :: order

  call sep_init()

  call from_param("order",order,16)

  if (order == 16) call init_c16()
  if (order == 14) call init_c14()
  if (order == 12) call init_c12()
  if (order == 10) call init_c10()
  if (order == 8) call init_c8()
  if (order == 0) call init_k()

  call sep_write(a)
  
  call to_history("n1",1001)
  call to_history("d1",0.002)
  call to_history("o1",-1.)

  call sep_close()

end program
